diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy.h ns-3.44/src/wifi/model/wifi-phy.h
--- ns-3.43/src/wifi/model/wifi-phy.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy.h	2025-03-09 16:55:49.803372600 -0700
@@ -1497,7 +1521,7 @@
      * it's also at that point that the correct decoding of
      * HT-SIG, VHT-SIGs, and HE-SIGs are checked.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<WifiTxVector, Time> m_phyRxPayloadBeginTrace;
 
@@ -1508,7 +1532,7 @@
      * header of an MPDU being received and make the information therein available to the MAC
      * as soon as the reception of the MAC header ends.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<const WifiMacHeader&, const WifiTxVector&, Time> m_phyRxMacHeaderEndTrace;
 
@@ -1516,14 +1540,14 @@
      * The trace source fired when a packet ends the reception process from
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxEndTrace;
 
     /**
      * The trace source fired when the PHY layer drops a packet it has received.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>, WifiPhyRxfailureReason> m_phyRxDropTrace;
 
@@ -1540,8 +1564,8 @@
      * corresponds in the madwifi driver to calling the function
      * ieee80211_input_monitor()
      *
-     * \see class CallBackTraceSource
-     * \todo WifiTxVector and signalNoiseDbm should be passed as
+     * @see class CallBackTraceSource
+     * @todo WifiTxVector and signalNoiseDbm should be passed as
      *       const references because of their sizes.
      */
     TracedCallback<Ptr<const Packet>,
@@ -1560,8 +1584,8 @@
      * corresponds in the madwifi driver to calling the function
      * ieee80211_input_monitor()
      *
-     * \see class CallBackTraceSource
-     * \todo WifiTxVector should be passed by const reference because
+     * @see class CallBackTraceSource
+     * @todo WifiTxVector should be passed by const reference because
      * of its size.
      */
     TracedCallback<Ptr<const Packet>,
@@ -1572,11 +1596,11 @@
         m_phyMonitorSniffTxTrace;
 
     /**
-     * \return the map of __implemented__ PHY entities.
+     * @return the map of __implemented__ PHY entities.
      * This is used to compute the different
      * amendment-specific parameters in a static manner.
      * For PHY entities supported by a given WifiPhy instance,
-     * \see m_phyEntities.
+     * @see m_phyEntities.
      */
     static std::map<WifiModulationClass, Ptr<PhyEntity>>& GetStaticPhyEntities();
 
@@ -1634,9 +1658,9 @@
 };
 
 /**
- * \param os           output stream
- * \param rxSignalInfo received signal info to stringify
- * \return output stream
+ * @param os           output stream
+ * @param rxSignalInfo received signal info to stringify
+ * @return output stream
  */
 std::ostream& operator<<(std::ostream& os, RxSignalInfo rxSignalInfo);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-listener.h ns-3.44/src/wifi/model/wifi-phy-listener.h
--- ns-3.43/src/wifi/model/wifi-phy-listener.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-listener.h	2025-03-09 16:55:49.803372600 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \brief receive notifications about PHY events.
+ * @brief receive notifications about PHY events.
  */
 class WifiPhyListener
 {
@@ -32,7 +32,7 @@
     }
 
     /**
-     * \param duration the expected duration of the packet reception.
+     * @param duration the expected duration of the packet reception.
      *
      * We have received the first bit of a packet. We decided
      * that we could synchronize on this packet. It does not mean
@@ -57,8 +57,8 @@
      */
     virtual void NotifyRxEndError() = 0;
     /**
-     * \param duration the expected transmission duration.
-     * \param txPower the nominal TX power
+     * @param duration the expected transmission duration.
+     * @param txPower the nominal TX power
      *
      * We are about to send the first bit of the packet.
      * We do not send any event to notify the end of
@@ -68,9 +68,9 @@
      */
     virtual void NotifyTxStart(Time duration, dBm_u txPower) = 0;
     /**
-     * \param duration the expected busy duration.
-     * \param channelType the channel type for which the CCA busy state is reported.
-     * \param per20MhzDurations vector that indicates for how long each 20 MHz subchannel
+     * @param duration the expected busy duration.
+     * @param channelType the channel type for which the CCA busy state is reported.
+     * @param per20MhzDurations vector that indicates for how long each 20 MHz subchannel
      *        (corresponding to the index of the element in the vector) is busy and where a zero
      * duration indicates that the subchannel is idle. The vector is non-empty if  the PHY supports
      * 802.11ax or later and if the operational channel width is larger than 20 MHz.
@@ -91,7 +91,7 @@
                                     WifiChannelListType channelType,
                                     const std::vector<Time>& per20MhzDurations) = 0;
     /**
-     * \param duration the expected channel switching duration.
+     * @param duration the expected channel switching duration.
      *
      * We do not send any event to notify the end of
      * channel switching. Listeners should assume that the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-operating-channel.cc ns-3.44/src/wifi/model/wifi-phy-operating-channel.cc
--- ns-3.43/src/wifi/model/wifi-phy-operating-channel.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-operating-channel.cc	2025-03-09 16:55:49.803372600 -0700
@@ -10,6 +10,7 @@
 #include "wifi-phy-operating-channel.h"
 
 #include "wifi-phy-common.h"
+#include "wifi-utils.h"
 
 #include "ns3/assert.h"
 #include "ns3/log.h"
